Show / Hide Table of Contents

# Enum UserStatus

Defines the available Discord user status.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum UserStatus

### Fields

Name | Description
--- | ---
AFK | The user is AFK.
DoNotDisturb | The user is busy.
Idle | The user is idle.
Invisible | The user is invisible.
Offline | The user is offline.
Online | The user is online.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()